|  | Home · All Classes · Modules

# QScriptEngine.QObjectWrapOptions Class Reference
[QtScript module]

### Methods

- __init__ (self, QObjectWrapOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- QObjectWrapOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, QObjectWrapOptions f)
- QObjectWrapOptions __iand__ (self, int mask)
- int __int__ (self)
- QObjectWrapOptions __invert__ (self)
- QObjectWrapOptions __ior__ (self, QObjectWrapOptions f)
- QObjectWrapOptions __ixor__ (self, QObjectWrapOptions f)
- bool __ne__ (self, QObjectWrapOptions f)
- QObjectWrapOptions __or__ (self, QObjectWrapOptions f)
- QObjectWrapOptions __or__ (self, int f)
- QObjectWrapOptions __xor__ (self, QObjectWrapOptions f)
- QObjectWrapOptions __xor__ (self, int f)

## Detailed Description

QObjectWrapOption may be used whenever QObjectWrapOptions is expected.

## Method Documentation

### QObjectWrapOptions.__init__ (self, QObjectWrapOptions)

### QObjectWrapOptions.__init__ (self, int)

### QObjectWrapOptions.__init__ (self)

### QObjectWrapOptions QObjectWrapOptions.__and__ (self, int mask)

### int QObjectWrapOptions.__bool__ (self)

### bool QObjectWrapOptions.__eq__ (self, QObjectWrapOptions f)

### QObjectWrapOptions QObjectWrapOptions.__iand__ (self, int mask)

### int QObjectWrapOptions.__int__ (self)

### QObjectWrapOptions QObjectWrapOptions.__invert__ (self)

### QObjectWrapOptions QObjectWrapOptions.__ior__ (self, QObjectWrapOptions f)

### QObjectWrapOptions QObjectWrapOptions.__ixor__ (self, QObjectWrapOptions f)

### bool QObjectWrapOptions.__ne__ (self, QObjectWrapOptions f)

### QObjectWrapOptions QObjectWrapOptions.__or__ (self, QObjectWrapOptions f)

### QObjectWrapOptions QObjectWrapOptions.__or__ (self, int f)

### QObjectWrapOptions QObjectWrapOptions.__xor__ (self, QObjectWrapOptions f)

### QObjectWrapOptions QObjectWrapOptions.__xor__ (self, int f)